# This file adds a number of buttons to the lower-right hand corner of
# the screen. Three of these buttons jump to the game menu, which
# giving quick access to Load, Save, and Prefs. The fourth button
# toggles skipping, to make that more convenient.

init python:

    # Give us some space on the right side of the screen.
    style.window.right_padding = 100

    def toggle_AutoMode():
        if not persistent.set_afm_time:
            persistent.set_afm_time = True
            _preferences.afm_time = 10
        else:
            persistent.set_afm_time = False
            _preferences.afm_time = 0
        

    def toggle_skipping():
        config.skipping = not config.skipping

    def button_game_menu():
        
        # to save typing
        ccinc = renpy.curried_call_in_new_context

        ui.vbox(xpos=0.99, ypos=0.98, xanchor='right', yanchor='bottom')
        ui.textbutton("Auto", clicked=toggle_AutoMode, xminimum=80)
        ui.textbutton("Save", clicked=ccinc("_game_menu_save"), xminimum=80)
        ui.textbutton("Load", clicked=ccinc("_game_menu_load"), xminimum=80)
        ui.textbutton("Prefs", clicked=ccinc("_game_menu_preferences"), xminimum=80)
        ui.close()


    

    config.overlay_functions.append(button_game_menu)